mbedtls_asn1_named_data Struct Reference

Container for a sequence or list of 'named' ASN.1 data items. More...

`#include <asn1.h>`

Collaboration diagram for mbedtls_asn1_named_data:
[legend]

## Data Fields

mbedtls_asn1_buf | oid
| The object identifier. More...
mbedtls_asn1_buf | val
| The named value. More...
struct mbedtls_asn1_named_data * | next
| The next entry in the sequence. More...
unsigned char | next_merged
| Merge next item into the current one? More...

## Detailed Description

Container for a sequence or list of 'named' ASN.1 data items.

Definition at line 150 of file asn1.h.

## Field Documentation

struct mbedtls_asn1_named_data* mbedtls_asn1_named_data::next

The next entry in the sequence.

Definition at line 154 of file asn1.h.

unsigned char mbedtls_asn1_named_data::next_merged

Merge next item into the current one?

Definition at line 155 of file asn1.h.

mbedtls_asn1_buf mbedtls_asn1_named_data::oid

The object identifier.

Definition at line 152 of file asn1.h.

mbedtls_asn1_buf mbedtls_asn1_named_data::val

The named value.

Definition at line 153 of file asn1.h.

The documentation for this struct was generated from the following file:

- asn1.h